using System;
using System.Collections.Generic;
using System.Text;

namespace ManagedService
{
    /// <summary>
    /// Provicdes data for the ServiceStateChanged event
    /// </summary>
    public class ServiceStateEventArgs: EventArgs
    {
        private ServiceState m_serviceState;

        /// <summary>
        /// Gets the information on the current Service state
        /// </summary>
        public ServiceState ServiceState
        {
            get
            {
                return m_serviceState;
            }
        }

        /// <summary>
        /// Initializes a new instance of ServiceStateEventArgs
        /// </summary>
        /// <param name="serviceState">The new ServiceState</param>
        public ServiceStateEventArgs(ServiceState serviceState)
        {
            m_serviceState = serviceState;
        }
    }
}
